<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Delete Method (DatabaseEntry)
BaseDatabase Class See Also Send Feedback

Remove key/data pairs from the database. The key/data pair associated with key is discarded from the database. In the presence of duplicate key values, all records associated with the designated key will be discarded.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public void Delete(
    	DatabaseEntry key
    )

Visual Basic (Declaration)

    Public Sub Delete ( _
    	key As DatabaseEntry _
    )

Visual C++

    public:
    void Delete(
    	DatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  Discard the key/data pair associated with key.

# Remarks

When called on a secondary database, remove the key/data pair from the primary database and all secondary indices.

If the operation occurs in a transactional database, the operation will be implicitly transaction protected.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key is not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
Delete Overload
BerkeleyDB Namespace